<?php

define('_IN_JOHNCMS', 1);

$headmod = 'manager';
$textl = 'Менеджер';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

        if (!$user_id) {
            echo display_error('Только для зарегистрированных');
            exit;
        }
$user=$datauser; //Все данные о пользователе

echo '<b><font color="red">Обменный пункт</font></b><br/>'; //Название 


$action=htmlspecialchars(trim($_GET['action']));

////////////////////////////////////////////////////////////////
// Всё что ниже до brake; это форма и приветствие там 
//ничего изменять не надо                                      
///////////////////////////////////////////////////////////////

switch ($action){

default:
echo 'Привет, менеджер '.$user['name'].'!<br/>';
echo 'У тебя есть <b>'.$user['balans'].'</b> баллов сайта!<br/>';
$budj = mysql_fetch_array(mysql_query("SELECT `budj` FROM `fman_clubs` WHERE `user_id`='".$user_id."'"));
echo 'Денег в клубе: <b>'.$budj['budj'].'</b><br/>';  
echo 'Поменять баллы на деньги в клуб по курсу 1 бал = 1000$<br/>';
echo '<form action="bank.php?action=change" method="post">';
echo 'Сколько баллов хотите поменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Менять"/>';
echo '</form>';
break;

case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['balans']<$num){echo 'У вас нет столько балов!';break;};
$baks=$num*1000;
$ball=$num; 
mysql_query("UPDATE `users` SET `balans`=`balans`-'$ball' WHERE `id`='".$user_id."'");
mysql_query("UPDATE `fman_clubs` SET `budj`=`budj`+'$baks' WHERE `user_id`='".$user_id."'");
echo 'Успешно! вы поменяли '.$ball.' баллов на '.$baks.'$ в клуб';
break;

case 'money_balans':


echo 'Привет, менеджер '.$user['name'].'!<br/>';
echo 'У тебя есть <b>'.$user['balans'].'</b> баллов сайта!<br/>';
$budj = mysql_fetch_array(mysql_query("SELECT `budj` FROM `fman_clubs` WHERE `user_id`='" . $user_id . "'"));
echo 'Денег в клубе: <b>'.$budj['budj'].'</b><br/>';  
echo 'Поменять деньги на баллы по курсу 2000$ = 1 балл<br/>';
echo '<form action="bank.php?action=change1" method="post">';
echo 'Сколько денег хотите поменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Менять"/>';
echo '</form>';
break;


case 'change1':

$num=(int)$_POST['num'];

if(!$num || $num<1){echo 'Пустые параметры!';break;};
$budj = mysql_fetch_array(mysql_query("SELECT `budj` FROM `fman_clubs` WHERE `user_id`='" . $user_id . "'"));
if($budj['budj']<$num){echo 'У вас нет столько денег!';break;};

$baks=$num/2000;  
mysql_query("UPDATE `users` SET `balans`=`balans`+'$baks' WHERE `id`='".$user_id."'");
mysql_query("UPDATE `fman_clubs` SET `budj`=`budj`-'$num' WHERE `id`='".$user_id."'");
echo 'Успешно!';
break;

};
echo '<div class="msg"><a href="index.php">В менеджер</a></div>';


require_once ("../incfiles/end.php");   
?>